Subject: [os2genau_digest] No. 1738
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 4 Nov 2008 00:01:00 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 03 November 2008
 Number  1738
**************************************************

Subjects for today
 
1  Re:  Compact Flash as internal disk - corrected : Peter L Allen" <allenpl at tastelfibre dot com dot au>
2  Re:  Connecting to NextG WAS Connecting a Sony W910i to the internet : Wayne <datablitz at optusnet dot com dot au>
3  Re:  Connecting to NextG : Wayne <datablitz at optusnet dot com dot au>
4   Attachment handling in Thunderbird : Peter Moylan <peter at pmoylan dot org>
5  Re:  Compact Flash as internal disk - corrected : Ed Durrant <edurrant at durrant dot mine dot nu>
6  Re:  Connecting to NextG WAS Connecting a Sony W910i to the internet : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  Compact Flash as internal disk - corrected : Dennis Nolan <dennis at jeg-og dot com>
8  Re:  Compact Flash as internal disk - corrected : Andrew MacIntyre <andymac at bullseye.apana dot org dot au>

**= Email   1 ==========================**

Date:  Mon, 03 Nov 2008 12:45:49 +1000 (EST)
From:  "Peter L Allen" <allenpl at tastelfibre dot com dot au>
Subject:  Re:  Compact Flash as internal disk - corrected

Ed,
	What would be expected life of Compact Flash in this application - maybe 
misremembering but seem to recall some limit on writes to a memory cell,
				Regards,
						allenpl

snip

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 3 Nov 2008 15:51:47 +0930
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  Connecting to NextG WAS Connecting a Sony W910i to the internet

** Reply to note from Ed Durrant <edurrant at durrant dot mine dot nu> Sun, 02 Nov 2008   
19:06:53 +1100 
 
I have moved this back onto the genau list because we don't have send any more   
attachements. 
 
>    
> Wayne wrote: 
> > ** Reply to note from Ed Durrant <edurrant at durrant dot mine dot nu> Sun, 02 Nov    
> > 2008 14:37:17 +1100  
> >    
> >> I know I did try to get to some websites and ping some DNS server   
> >> addresses without response but in the main part I used NSLOOKUP to see  
> >>  if I had DNS connectivity - this did not work and still does not work,   
> >> however the HOST command does !  
> >>      
> >   
> > Yes, not being direct can be a pain at times.  
> >   
> >    
> >>     
> >> This suggests to me that the NextG environment is proxied out to the  web  
> >> rather than using socks or a direct/NAT connection meaning that only   
> >> access via host/domain name may work.  
> >>     
> >> In any case that is working with INjoy. I'd like to try to make it  work with the  
> >> dialer that is supplied with eComStation (eCSCoNET) next -  that has far  
> >> less configuration options however, so for example setting  the destination  
> >> host address / default route to 2.0.0.0 will not be  possible so there's a  
> >> chance it won't work. In any case I'm quite a lot  closer to that as well now.  
> >>     
> >>      
> >   
> > DOIP does not seem to do CHAP authentication, I don't know if eCSonet    
> > does.  Telstra requires CHAP, Three requires PAP. 
> That probably explains why I don't seem to be able to make eCSCoNET  
> work then ! 
> >   
> >   
> >    
> >> Ok, so har far did you get to connecting with the Sony ?  
> >>     
> >>      
> >   
> > I thought I had it going further into negotiating than what is in the trace I sent    
> > you.  As it is, injoy seems to be waiting for a "CONNECT" before timing out.  
> > I fiddled with settings but didn't get further.  Spent near a day entering all the    
> > phone settings ( Connectivity tree ) & phone help into a txt file.  It's HUGE.     
> > This way, when I get further, I can easily RECORD what I have done.  
> > I will try some more today & if I can't get further, I will set it as close to your    
> > article as possible ( must use *99***2# to reach the right APN ) & give you a    
> > yell tomorrow.  
> >    
> It might be worth reving both APNs and putting just the "3" one back  as the 
> first one - what do you think ? 
 
I was thinking of that because yesterday I found I could delete CID's using the phone. 
 
>    
> I suspect having offered to help, you may already be ahead of me with  
> knowledge in this area, but with the idea that two heads are better than  
> one, perhaps we'll be able to crack this ! 
 
Don't bet on it.  I just fumble around - with perseverence. 
 
<snip>     
> >   
> >    
> >> Cheers/2  
> >>     
> >> Ed.  
 
Today I tried again with no changes from yesterday & VOILA - I'm in!! But don't know   
why.  Both APNs work.  I suspect what happened was:-  yesterday I entered what I   
thought the userid & password were, into the sony.  Maybe today. Three saw that &   
changed a setting at their end. 
 
There are still some garbage characters & instability incl. total lockup on hangup but I   
AM CONNECTED :-)))) 
 
Cheers 
Wayne

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 3 Nov 2008 15:51:51 +0930
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  Connecting to NextG

** Reply to note from Ed Durrant <edurrant at durrant dot mine dot nu> Sun, 02   
Nov 2008 19:06:53 +1100 
 
This is back on the genau list as well. 
Now that you have the A411 connected you can try changing   
compression settings in Injoy, mine failed.  The 0s at the end of the CID   
string switch off compression.  One or both can be set to 1 to switch on,   
mine failed.  YMMV 
 
Cheers 
Wayne

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 03 Nov 2008 17:28:51 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Attachment handling in Thunderbird

I've suddenly been struck by the same problem that someone mentioned on 
this list a few weeks ago. No change in version, I just copied a working 
Thunderbird 2.0.0.14 from my old computer to my new computer. (That 
suggests that the bug is something to do with the profiles, rather than 
with the code.) The "Download Actions" listbox is empty, and there is no 
way to add new actions.

Did anyone ever find a fix for this?

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 03 Nov 2008 17:59:30 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Compact Flash as internal disk - corrected

Peter L Allen wrote:
> Ed,
> 	What would be expected life of Compact Flash in this application - maybe 
> misremembering but seem to recall some limit on writes to a memory cell,
> 				Regards,
> 						allenpl
>
> snip
>
>

>  

>
>   
I guess we shall see - it only cast me about A$20 in any case, so we'll 
see. I believe the technology used in "real" Solid state disks is more 
resilient.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 03 Nov 2008 18:05:08 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Connecting to NextG WAS Connecting a Sony W910i to the internet

Wayne wrote:
> ** Reply to note from Ed Durrant <edurrant at durrant dot mine dot nu> Sun, 02 Nov 2008   
> 19:06:53 +1100 
>  
> I have moved this back onto the genau list because we don't have send any more   
> attachements. 
>  
>   
>>    
>> Wayne wrote: 
>>     
>>> ** Reply to note from Ed Durrant <edurrant at durrant dot mine dot nu> Sun, 02 Nov    
>>> 2008 14:37:17 +1100  
>>>    
>>>       
>>>> I know I did try to get to some websites and ping some DNS server   
>>>> addresses without response but in the main part I used NSLOOKUP to see  
>>>>  if I had DNS connectivity - this did not work and still does not work,   
>>>> however the HOST command does !  
>>>>      
>>>>         
>>>   
>>> Yes, not being direct can be a pain at times.  
>>>   
>>>    
>>>       
>>>>     
>>>> This suggests to me that the NextG environment is proxied out to the  web  
>>>> rather than using socks or a direct/NAT connection meaning that only   
>>>> access via host/domain name may work.  
>>>>     
>>>> In any case that is working with INjoy. I'd like to try to make it  work with the  
>>>> dialer that is supplied with eComStation (eCSCoNET) next -  that has far  
>>>> less configuration options however, so for example setting  the destination  
>>>> host address / default route to 2.0.0.0 will not be  possible so there's a  
>>>> chance it won't work. In any case I'm quite a lot  closer to that as well now.  
>>>>     
>>>>      
>>>>         
>>>   
>>> DOIP does not seem to do CHAP authentication, I don't know if eCSonet    
>>> does.  Telstra requires CHAP, Three requires PAP. 
>>>       
>> That probably explains why I don't seem to be able to make eCSCoNET  
>> work then ! 
>>     
>>>   
>>>   
>>>    
>>>       
>>>> Ok, so har far did you get to connecting with the Sony ?  
>>>>     
>>>>      
>>>>         
>>>   
>>> I thought I had it going further into negotiating than what is in the trace I sent    
>>> you.  As it is, injoy seems to be waiting for a "CONNECT" before timing out.  
>>> I fiddled with settings but didn't get further.  Spent near a day entering all the    
>>> phone settings ( Connectivity tree ) & phone help into a txt file.  It's HUGE.     
>>> This way, when I get further, I can easily RECORD what I have done.  
>>> I will try some more today & if I can't get further, I will set it as close to your    
>>> article as possible ( must use *99***2# to reach the right APN ) & give you a    
>>> yell tomorrow.  
>>>    
>>>       
>> It might be worth reving both APNs and putting just the "3" one back  as the 
>> first one - what do you think ? 
>>     
>  
> I was thinking of that because yesterday I found I could delete CID's using the phone. 
>  
>   
>>    
>> I suspect having offered to help, you may already be ahead of me with  
>> knowledge in this area, but with the idea that two heads are better than  
>> one, perhaps we'll be able to crack this ! 
>>     
>  
> Don't bet on it.  I just fumble around - with perseverence. 
>  
> <snip>     
>   
>>>   
>>>    
>>>       
>>>> Cheers/2  
>>>>     
>>>> Ed.  
>>>>         
>  
> Today I tried again with no changes from yesterday & VOILA - I'm in!! But don't know   
> why.  Both APNs work.  I suspect what happened was:-  yesterday I entered what I   
> thought the userid & password were, into the sony.  Maybe today. Three saw that &   
> changed a setting at their end. 
>  
> There are still some garbage characters & instability incl. total lockup on hangup but I   
> AM CONNECTED :-)))) 
>  
> Cheers 
> Wayne
>
>

>  

>
>   
Well that's good news - except neither Three nor Next-G require a userid 
or password as far as I know.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 03 Nov 2008 19:51:15 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Compact Flash as internal disk - corrected

Hi
The promos for the latest CF cards boast a lifetime warranty, however

CFA

  Information about CompactFlash

------------------------------------------------------------------------

CompactFlash® is a very small removable mass storage device. First 
introduced in 1994 by SanDisk Corporation, CF^(TM) cards weigh a half 
ounce and are the size of a matchbook. They provide complete PCMCIA-ATA 
functionality and compatibility plus TrueIDE functionality compatible 
with ATA/ATAPI-4. At 43mm (1.7") x 36mm (1.4") x 3.3mm (0.13"), the 
device's thickness is less than one-half of a current PCMCIA Type II 
card. It is actually one-fourth the volume of a PCMCIA card. Compared to 
a 68-pin PCMCIA card, a CF card has 50 pins but still conforms to PCMCIA 
ATA specs. It can be easily slipped into a passive 68-pin Type II 
adapter card that fully meets PCMCIA electrical and mechanical interface 
specifications.

CompactFlash cards are designed with flash technology, a non-volatile 
storage solution that does not require a battery to retain data 
indefinitely. CompactFlash storage products are solid state, meaning 
they contain no moving parts, and provide users with much greater 
protection of their data than conventional magnetic disk drives. They 
are five to ten times more rugged and reliable than disk drives 
including those found in PC Card Type III products. CF cards consume 
only five percent of the power required by small disk drives.

CF cards are also available for data storage using the Microdrive. CF 
I/O cards are available as modems, Ethernet, serial, digital phone 
cards, laser scanners, BlueTooth wireless, 802.11b WiFi LAN, etc.

*Dual 3.3V & 5V Operation* -- CF and CompactFlash cards support both 
3.3V and 5V operation and can be interchanged between 3.3V and 5V 
systems. This means that any CF card can operate at either voltage. 
Other small form factor flash cards may be available to operate at 3.3V 
or 5V, but any single card can operate at only one of the voltages

*Connector* -- The connector used with CompactFlash is similar to the 
PCMCIA Card connector, but with 50 pins. Years of field experience in 
portable devices have proven the reliability and durability of this 
connector in applications where frequent insertions and ejections of the 
card are required. Other small form factor flash cards use connector 
technology that is not reliable or durable in these applications .

*Shock* -- CF cards have an operating shock rating of 2,000 Gs, which is 
equivalent to a 10-foot drop. With typical usage, a CF card can be used 
for more than 100 years with no loss or deterioration of data.

*Power* -- Typically consuming less than five percent of the power than 
that required to operate 1.8" and 2.5" disk drives, CF cards run at 3.3V 
or 5V with a single power supply. This makes them ideal for a range of 
current and next-generation, small-form factor consumer applications.

*Operating System Support* -- Numerous platforms and operation systems 
support the PCMCIA-ATA standard, including Windows®, Windows XP, OS/2, 
Apple System 7, most types of UNIX, and many others. These all also 
support CompactFlash, CF disk drives and CF I/O cards..

*Data Reliability* -- CompactFlash data is protected by built-in dynamic 
defect management and error correction technologies.

*Cost* -- CompactFlash provides the lowest cost flash storage solution 
for all capacities. With the built-in controller, a wide variety of low 
cost flash technologies can be used. The built-in controller lowers 
costs further by reducing costs in the host device and allowing 
defective flash chip cells to be mapped out, thus increasing flash chip 
yields.

Sort of speaks for itself, don't it.

Regards

Dennis.

Ed Durrant wrote:
> Peter L Allen wrote:
>> Ed,
>>     What would be expected life of Compact Flash in this application 
>> - maybe misremembering but seem to recall some limit on writes to a 
>> memory cell,
>>                 Regards,
>>                         allenpl
>>
>> snip
>>
>>
> 
>>
>>  
>
>>
>>   
> I guess we shall see - it only cast me about A$20 in any case, so 
> we'll see. I believe the technology used in "real" Solid state disks 
> is more resilient.
>
> Cheers/2
>
> Ed.
 
>
> 

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Mon, 03 Nov 2008 19:26:15 +1100
From:  Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
Subject:  Re:  Compact Flash as internal disk - corrected

Ed Durrant wrote:
> Peter L Allen wrote:
>> Ed,
>>     What would be expected life of Compact Flash in this application - 
>> maybe misremembering but seem to recall some limit on writes to a 
>> memory cell,
>>                 Regards,
>>                         allenpl

> I guess we shall see - it only cast me about A$20 in any case, so we'll 
> see. I believe the technology used in "real" Solid state disks is more 
> resilient.
> 
> Cheers/2
> 
> Ed.

The larger the flash chip, the more the wear leveling built in to them
can spread the writes around... so once you get into the gigabyte sizes,
it takes some serious data writing to run into trouble.  I have read an
article which goes into the gory detail, but didn't bookmark the link.

That said, there are two types of flash memory: single level cell (SLC)
and multi-level cell (MLC).  SLC is faster and more inherently resilient
to the write exhaustion issue (at least an order of magnitude), but much
more expensive.  The very best SSDs (eg MTron) are SLC; most are MLC.

I've also read that choice of file system has an impact on writes, and
FAT (& FAT32) have advantages particularly with MLC flash as they are
simpler and don't support niceties like access times. With Unix-like
OSes, one can mount the file system without the access time updates.
I'm not sure whether this is possible with HPFS, NTFS or the OS/2 JFS.

I've also seen references to FAT32 being preferable over NTFS for
performance reasons when using Windows XP on some of the netbooks with
very slow SSDs (ISTR the Acer Aspire One drawing particular mention for
this), but the exact reason wasn't clear to me.

Because of the write issue, and the fact that there's effectively 
negligible seek time, you don't worry about trying to optimise SSD
file systems (especially FAT/FAT32).

Cheers,
Andrew.

-- 
-------------------------------------------------------------------------
Andrew I MacIntyre                     "These thoughts are mine alone..."
E-mail: andymac at bullseye.apana dot org dot au  (pref) | Snail: PO Box 370
        andymac at pcug dot org dot au             (alt) |        Belconnen ACT 2616
Web:    http://www.andymac dot org/               |        Australia
----------------------------------------------------------------------------------